Update a payment method
curl --request PATCH \
--url https://api.withacclaim.com/v1/payers/{payer_id}/payment_methods/{payment_method_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"active": true,
"default": true
}
'import requests
url = "https://api.withacclaim.com/v1/payers/{payer_id}/payment_methods/{payment_method_id}"
payload = {
"active": True,
"default": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({active: true, default: true})
};
fetch('https://api.withacclaim.com/v1/payers/{payer_id}/payment_methods/{payment_method_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "pm_AbC123XyZ",
"type": "Card",
"active": true,
"default": false,
"card": {
"brand": "Visa",
"last4": "4242",
"expiry_month": "09",
"expiry_year": "2026",
"funding": "Credit",
"cardholder_name": "John Doe",
"country": "US",
"currency": "USD",
"fingerprint": "<string>",
"created_at": "2025-10-08T18:20:31Z",
"updated_at": "2025-10-08T18:25:00Z"
},
"ach_debit": {
"account_number": "<string>",
"routing_number": "<string>",
"country": "US",
"currency": "USD",
"created_at": "2025-10-08T18:20:31Z",
"updated_at": "2025-10-08T18:25:00Z"
},
"sepa_debit": {
"iban": "<string>",
"country": "DE",
"currency": "EUR",
"created_at": "2025-10-08T18:20:31Z",
"updated_at": "2025-10-08T18:25:00Z"
},
"paypal": {
"email": "jsmith@example.com",
"payer_id": "<string>",
"created_at": "2025-10-08T18:20:31Z",
"updated_at": "2025-10-08T18:25:00Z"
},
"created_at": "2025-10-08T18:20:31Z",
"updated_at": "2025-10-08T18:25:00Z"
}{
"error": {
"code": "invalid_request",
"message": "Missing required field: amount",
"details": {},
"request_id": "req_7lYt4o2x"
}
}Payment Methods
Update a payment method
PATCH
/
payers
/
{payer_id}
/
payment_methods
/
{payment_method_id}
Update a payment method
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the payer.
ID of the payment method.
Body
application/json
Response
Updated payment method.
Example:
"pm_AbC123XyZ"
Type of payment method
Available options:
Card, AchDebit, SepaDebit, WireTransfer, PaperCheck, Cash, Paypal, ApplePay, GooglePay, Venmo, Zelle Example:
"Card"
Whether the payment method is active
Example:
true
Whether this is the default payment method for the payer
Example:
false
Card details (present when type is Card)
Show child attributes
Show child attributes
ACH bank account details (present when type is AchDebit)
Show child attributes
Show child attributes
SEPA bank account details (present when type is SepaDebit)
Show child attributes
Show child attributes
PayPal account details (present when type is Paypal)
Show child attributes
Show child attributes
Example:
"2025-10-08T18:20:31Z"
Example:
"2025-10-08T18:25:00Z"
Last modified on July 8, 2026
⌘I